| MikroCAD SDK Library

- Home
- All Types
- Files

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions
CMeasProgram Class Reference

## Description

Measurement program class.

## Public Member Functions
long | AddPreFilterParameter (MeasurementPreFilterType FilterType, void *pParameter, bool bClear=false)
| Adds a prefilter parameter set to the list. More...
void | Assign (CMeasProgram *pMeasProg)
| Assign from an other measurement program.
| CMeasProgram ()
| Constructor.
bool | FromBuffer (PBYTE &pbyBuffer, DWORD &dwCurrBufferSize)
| Read from buffer. More...
bool | FromIniFile (CIniFile *pIniFile, int nIndex=-1)
| Read settings from INI file. More...
unsigned long | GetBufferSize ()
| Returns the buffer size in bytes.
TMeasurementParameterSet * | GetMeasurementParameter ()
| Returns a pointer to measurement parameter.
TDataAcquPreFilterSetData * | GetPreFilterParameter ()
| Returns a pointer to prefilter parameter.
unsigned long | GetThesholdPowerSpectrum ()
| Returns threshold for power spectrum.
bool | IsEqual (CMeasProgram *pMeasProg)
| Test equality. More...
void | SetDefaults ()
| Sets the default parameters.
long | SetMeasurementParameter (MeasurementMode MeasMode, void *pParameter)
| Sets the measurement parameter. More...
void | SetThesholdPowerSpectrum (unsigned long dwThres)
| Sets threshold for power spectrum. More...
bool | ToBuffer (PBYTE &pbyBuffer, DWORD &dwCurrBufferSize)
| Write to buffer. More...
bool | ToIniFile (CIniFile *pIniFile, int nIndex=-1)
| Write settings to INI file. More...
virtual | ~CMeasProgram ()
| Destructor.

## Member Function Documentation

long CMeasProgram::AddPreFilterParameter | ( | MeasurementPreFilterType | FilterType,
|  | void * | pParameter,
|  | bool | bClear = `false`
| ) |  |

Adds a prefilter parameter set to the list.

Parameters

  FilterType | Filter type
  pParameter | Pointer to prefilter parameter (type depends on filter type)
  bClear | Delete list

Returns
  Error code

bool CMeasProgram::FromBuffer | ( | PBYTE & | pbyBuffer,
|  | DWORD & | dwCurrBufferSize
| ) |  |

Read from buffer.

Parameters

  pbyBuffer | Pointer to buffer (Pointer will incremented)
  dwCurrBufferSize | Current buffer size (will decremented)

Returns
  Success

bool CMeasProgram::FromIniFile | ( | CIniFile * | pIniFile,
|  | int | nIndex = `-1`
| ) |  |

Read settings from INI file.

Parameters

  pIniFile | Pointer to INI file structure
  nIndex | Index in measurement program list, < 0 default measprogram

Returns
  Success

bool CMeasProgram::IsEqual | ( | CMeasProgram * | pMeasProg | ) |

Test equality.

Parameters

  pMeasProg | Pointer to an other data set

Returns
  : Equality

long CMeasProgram::SetMeasurementParameter | ( | MeasurementMode | MeasMode,
|  | void * | pParameter
| ) |  |

Sets the measurement parameter.

Parameters

  MeasMode | Measurement mode
  pParameter | Pointer to measurement parameter (typ depends on measurement mode)

Returns
  Error code

void CMeasProgram::SetThesholdPowerSpectrum | ( | unsigned long | dwThres | ) |
| inline

Sets threshold for power spectrum.

Parameters

  dwThres | Threshold (1...200)

bool CMeasProgram::ToBuffer | ( | PBYTE & | pbyBuffer,
|  | DWORD & | dwCurrBufferSize
| ) |  |

Write to buffer.

Parameters

  pbyBuffer | Pointer to buffer (Pointer will incremented)
  dwCurrBufferSize | Current buffer size (will decremented)

Returns
  Success

bool CMeasProgram::ToIniFile | ( | CIniFile * | pIniFile,
|  | int | nIndex = `-1`
| ) |  |

Write settings to INI file.

Parameters

  pIniFile | Pointer to INI file structure
  nIndex | Index in measurement program list, < 0 default measprogram

Returns
  : Success - true

The documentation for this class was generated from the following file:

- MeasProgram.h